gnutls_rsa_params_import_raw(3)

NAME
gnutls_rsa_params_import_raw - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_rsa_params_import_raw(gnutls_rsa_params_t rsa_params, const gnutls_datum_t * m, const gnutls_datum_t * e, const gnutls_datum_t * d, const gnutls_datum_t * p, const gnutls_datum_t * q, const gnutls_datum_t * u);

ARGUMENTS

gnutls_rsa_params_t rsa_params
    Is a structure will hold the parameters

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

const gnutls_datum_t * d
    holds the private exponent

const gnutls_datum_t * p
    holds the first prime (p)

const gnutls_datum_t * q
    holds the second prime (q)

const gnutls_datum_t * u
    holds the coefficient

DESCRIPTION
This function will replace the parameters in the given structure. The new parameters should be stored in the appropriate gnutls_datum.

RETURNS
GNUTLS_E_SUCCESS on success, or an negative error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/